# JJ 2017-10-30: home directory population
if [ "$HOME" = "/home/$USER" ] && 
    [ "x$HYADHOME" = x ] && 
    [ $(id -u) -gt 1000000 ]; then

  # Use the CIFS DFS mount as HYADHOME
  c=$(echo "$USER" | cut -c1)
  export HYADHOME=/home/ad/home/$c/$USER
  unset c
  #n=$(echo $c | tr a-ef-jk-lm-op-st-z 1111122222334445555666666)
  #export HYADHOME=/home/ad/fshome$n/u$n/$c/$USER
  #unset n

  # If the symlink trick is in use, create and populate symlink target directory
  if [ -L "$HOME" ]; then
    linux_home="$(readlink -m $HOME)"
    if echo "$linux_home" | egrep -q /home/ad/ ; then
      # We are in AD home: populate it
      for d in Desktop Documents Downloads; do
        mkdir -p "$HYADHOME/$d"
        [ -L $d -o ! -e $d ] && ln -nfs $HYADHOME/$d $d
      done
    fi
    unset linux_home
  fi
  #  if [ "$PWD" = "/" -o "$PWD" = "$linux_home" ]; then
  #    # reset the ugly looking full path home directory or missing link
  #    cd $HOME
  #  fi

#    if [ -d .cache -a ! -L .cache ]; then
#      if oldcache=$(mktemp -d .cache.cubbli.tmp.XXXXXXXXXX); then
#        mv .cache "$oldcache"
#      else
#        rm -rf .cache
#      fi
#    fi
#    rm -rf .cache.cubbli.tmp.?????????? > /dev/null 2>&1 &
#    disown
#    localcache="$TMPDIR/.cache.cubbli"
#    if mkdir -m 700 -p "$localcache" && [ a"$(stat -c "%u" "$localcache")" = a"$(id -u)" ] ; then
#      touch "$localcache" # Dummy for having a non-empty if
#      ln -sf "$TMPDIR"/.cache.cubbli .cache
#    else
#      rm -f .cache
#      mkdir -m 700 -p .cache
#    fi
#    unset oldcache
#    unset localcache
#  fi

fi

if tty > /dev/null; then
  lynx /usr/share/doc/cubbli16-eol.html
fi

if [ ! -f ~/.hushlogin ]; then
  /usr/bin/cubbli-home-dir show
fi
